<?php
namespace AccordionCreatorBWD\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class BWDACAccordionCreatoR extends Widget_Base {

	public function get_name() {
		return esc_html__('Accordion', 'bwd-accordion' );
	}

	public function get_title() {
		return esc_html__( 'BWD Accordion', 'bwd-accordion' );
	}

	public function get_icon() {
		return 'bwdac-accordion-icon eicon-accordion';
	}

	public function get_categories() {
		return [ 'bwdthebest_general_category' ];
	}

	protected function register_controls() {
		$this->start_controls_section(
			'ab_content_selection',
			[
				'label' => esc_html__( 'Accordion Contents', 'bwd-accordion' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
		);
		$this->add_control(
			'ab_accordion_style_selection',
			[
				'label' => esc_html__( 'Accordion Styles', 'bwd-accordion' ),
				'type' => Controls_Manager::SELECT,
				'default' => '1',
				'options' => [
					'1' => esc_html__( 'Style 1', 'bwd-accordion' ),
					'2' => esc_html__( 'Style 2', 'bwd-accordion' ),
					'3' => esc_html__( 'Style 3', 'bwd-accordion' ),
					'4' => esc_html__( 'Style 4', 'bwd-accordion' ),
					'5' => esc_html__( 'Style 5', 'bwd-accordion' ),
					'6' => esc_html__( 'Style 6', 'bwd-accordion' ),
					'7' => esc_html__( 'Style 7', 'bwd-accordion' ),
					'8' => esc_html__( 'Style 8', 'bwd-accordion' ),
					'9' => esc_html__( 'Style 9', 'bwd-accordion' ),
					'10' => esc_html__( 'Style 10', 'bwd-accordion' ),
					'11' => esc_html__( 'Style 11', 'bwd-accordion' ),
					'12' => esc_html__( 'Style 12', 'bwd-accordion' ),
					'13' => esc_html__( 'Style 13', 'bwd-accordion' ),
					'14' => esc_html__( 'Style 14', 'bwd-accordion' ),
					'15' => esc_html__( 'Style 15', 'bwd-accordion' ),
					'16' => esc_html__( 'Style 16', 'bwd-accordion' ),
					'17' => esc_html__( 'Style 17', 'bwd-accordion' ),
					'18' => esc_html__( 'Style 18', 'bwd-accordion' ),
					'19' => esc_html__( 'Style 19', 'bwd-accordion' ),
					'20' => esc_html__( 'Style 20', 'bwd-accordion' ),
					'21' => esc_html__( 'Style 21', 'bwd-accordion' ),
					'22' => esc_html__( 'Style 22', 'bwd-accordion' ),
					'23' => esc_html__( 'Style 23', 'bwd-accordion' ),
					'24' => esc_html__( 'Style 24', 'bwd-accordion' ),
					'25' => esc_html__( 'Style 25', 'bwd-accordion' ),
					'26' => esc_html__( 'Style 26', 'bwd-accordion' ),
					'27' => esc_html__( 'Style 27', 'bwd-accordion' ),
					'28' => esc_html__( 'Style 28', 'bwd-accordion' ),
					'29' => esc_html__( 'Style 29', 'bwd-accordion' ),
					'30' => esc_html__( 'Style 30', 'bwd-accordion' ),
					'31' => esc_html__( 'Style 31', 'bwd-accordion' ),
				],
			]
		);
		$repeater = new \Elementor\Repeater();
		
		$repeater->add_control(
			'ab_accordion_title',
			[
				'label' => esc_html__( 'Title', 'bwd-accordion' ),
				'type' => Controls_Manager::TEXT,
				'default' => esc_html__( 'What is lorem ipsum text?', 'bwd-accordion' ),
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
			]
		);
		$repeater->start_controls_tabs(
			'ab_accordion_total_title_style_tabs'
		);

		$repeater->start_controls_tab(
			'ab_accordion_total_title_style_normal_tab',
			[
				'label' => esc_html__( 'Normal', 'bwd-accordion' ),
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'ab_accordion_title_typography_reside',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed',
			]
		);
		$repeater->add_control(
			'ab_accordion_title_color',
			[
				'label' => esc_html__( 'Color', 'bwd-accordion' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed' => 'color: {{VALUE}}',
				],
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Background::get_type(),
			[
				'name' => 'ab_accordion_title_bg_color',
				'types' => [ 'classic', 'gradient' ],
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed',
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Text_Shadow::get_type(),
			[
				'name' => 'ab_accordion_title_text_shadow',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed',
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'ab_accordion_title_border',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed',
			]
		);
		$repeater->add_responsive_control(
            'ab_accordion_title_border-radius',
            [
                'label' => esc_html__('Border Radius', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );
		$repeater->add_group_control(
			\Elementor\Group_Control_Box_Shadow::get_type(),
			[
				'name' => 'ab_accordion_title_box_shadow',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed',
			]
		);
		$repeater->add_responsive_control(
			'ab_accordion_title_icon_gap',
			[
				'label' => esc_html__( 'Title Spacing', 'bwd-accordion' ),
				'description' => esc_html__( 'Spacing between icon and title', 'bwd-accordion' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => ['px', 'rem', 'em'],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 500,
					],
				],
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed' => 'padding-inline-start: {{SIZE}}{{UNIT}}!important;',
				],
			]
		);
		$repeater->add_responsive_control(
            'ab_accordion_total_title_box_padding',
            [
                'label' => esc_html__('Padding', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em', '%'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed' => 'padding-block: {{TOP}}{{UNIT}} {{BOTTOM}}{{UNIT}}; padding-inline: {{LEFT}}{{UNIT}} {{RIGHT}}{{UNIT}};',
                ],
            ]
        );
		$repeater->end_controls_tab();
		$repeater->start_controls_tab(
			'ab_accordion_total_title_style_hover_tab',
			[
				'label' => esc_html__( 'Hover', 'bwd-accordion' ),
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'ab_accordion_title_hover_typography_reside',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed:hover',
			]
		);
		$repeater->add_control(
			'ab_accordion_title_hover_color',
			[
				'label' => esc_html__( 'Color', 'bwd-accordion' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed:hover' => 'color: {{VALUE}}',
				],
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Background::get_type(),
			[
				'name' => 'ab_accordion_title_hover_bg_color',
				'types' => [ 'classic', 'gradient' ],
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed:hover',
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'ab_accordion_title_hover_border',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed:hover',
			]
		);
		$repeater->add_responsive_control(
            'ab_accordion_title_hover_border-radius',
            [
                'label' => esc_html__('Border Radius', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed:hover' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );
		$repeater->add_group_control(
			\Elementor\Group_Control_Box_Shadow::get_type(),
			[
				'name' => 'ab_accordion_title_hover_box_shadow',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed:hover',
			]
		);
		$repeater->add_responsive_control(
			'ab_accordion_title_icon_hover_gap',
			[
				'label' => esc_html__( 'Title Spacing', 'bwd-accordion' ),
				'description' => esc_html__( 'Spacing between icon and title', 'bwd-accordion' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => ['px', 'rem', 'em'],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 500,
					],
				],
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-title .ab-collapsed:hover' => 'padding-inline-start: {{SIZE}}{{UNIT}}!important;',
				],
			]
		);
		$repeater->end_controls_tab();
		$repeater->start_controls_tab(
			'ab_accordion_total_title_style_active_tab',
			[
				'label' => esc_html__( 'Active', 'bwd-accordion' ),
			]
		);
		$repeater->add_control(
			'ab_accordion_title_active_color',
			[
				'label' => esc_html__( 'Color', 'bwd-accordion' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}}.ab-Accordion-default.active .ab-panel-title .ab-collapsed' => 'color: {{VALUE}}',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_title_active_bg_color',
			[
				'label' => esc_html__( 'Background Color', 'bwd-accordion' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}}.ab-Accordion-default.active .ab-panel-title .ab-collapsed' => 'background-color: {{VALUE}}',
				],
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'ab_accordion_title_active_border',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}}.ab-Accordion-default.active .ab-panel-title .ab-collapsed',
			]
		);
		$repeater->add_responsive_control(
            'ab_accordion_title_active_border-radius',
            [
                'label' => esc_html__('Border Radius', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}}.ab-Accordion-default.active .ab-panel-title .ab-collapsed' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );
		$repeater->add_group_control(
			\Elementor\Group_Control_Box_Shadow::get_type(),
			[
				'name' => 'ab_accordion_title_active_box_shadow',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}}.ab-Accordion-default.active .ab-panel-title .ab-collapsed',
			]
		);
		$repeater->end_controls_tab();
		$repeater->end_controls_tabs();
		$repeater->add_control(
			'ab_accordion_inner_content_heading',
			[
				'label' => esc_html__( 'Collapsed Content', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);
		$repeater->start_controls_tabs(
			'ab_accordion_inner_content_tabs'
		);

		$repeater->start_controls_tab(
			'ab_accordion_inner_content_tab',
			[
				'label' => esc_html__( 'Content', 'bwd-accordion' ),
			]
		);
		$repeater->add_control(
			'ab_accordion_inner_image_show',
			[
				'label' => esc_html__( 'Show Image', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'bwd-accordion' ),
				'label_off' => esc_html__( 'Hide', 'bwd-accordion' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
		$repeater->add_control(
			'ab_accordion_inner_image',
			[
				'label' => esc_html__( 'Choose Image', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
				'condition' => [
					'ab_accordion_inner_image_show' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_inner_title_show',
			[
				'label' => esc_html__( 'Show Title', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'bwd-accordion' ),
				'label_off' => esc_html__( 'Hide', 'bwd-accordion' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
		$repeater->add_control(
			'ab_accordion_inner_title',
			[
				'label' => esc_html__( 'Title', 'bwd-accordion' ),
				'type' => Controls_Manager::TEXT,
				'default' => esc_html__( 'What is lorem ipsum text', 'bwd-accordion' ),
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'condition' => [
					'ab_accordion_inner_title_show' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_inner_desc_show',
			[
				'label' => esc_html__( 'Show Description', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'bwd-accordion' ),
				'label_off' => esc_html__( 'Hide', 'bwd-accordion' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
		$repeater->add_control(
			'ab_accordion_description',
			[
				'label' => esc_html__( 'Description', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::WYSIWYG,
				'default' => esc_html__( 'In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to demonstrate the visual form of a document or a typeface without relying on meaningful content. Lorem ipsum may be used as a placeholder before the final copy is available.', 'bwd-accordion' ),
				'placeholder' => esc_html__( 'Type your description here', 'bwd-accordion' ),
				'condition' => [
					'ab_accordion_inner_desc_show' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_inner_btn_show',
			[
				'label' => esc_html__( 'Show Button', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'bwd-accordion' ),
				'label_off' => esc_html__( 'Hide', 'bwd-accordion' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
		$repeater->add_control(
			'ab_accordion_inner_btn_text',
			[
				'label' => esc_html__( 'Button Text', 'bwd-accordion' ),
				'type' => Controls_Manager::TEXT,
				'default' => esc_html__( 'Click Here', 'bwd-accordion' ),
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'condition' => [
					'ab_accordion_inner_btn_show' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_inner_btn_link',
			[
				'label' => esc_html__( 'Button Link', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::URL,
				'placeholder' => esc_html__( 'https://your-link.com', 'bwd-accordion' ),
				'options' => [ 'url', 'is_external', 'nofollow' ],
				'default' => [
					'url' => '#',
					'is_external' => true,
					'nofollow' => true,
					// 'custom_attributes' => '',
				],
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'condition' => [
					'ab_accordion_inner_btn_show' => 'yes',
				],
			]
		);
		$repeater->end_controls_tab();
		$repeater->start_controls_tab(
			'ab_accordion_inner_content_style_tab',
			[
				'label' => esc_html__( 'Style', 'bwd-accordion' ),
			]
		);
		$repeater->add_control(
			'more_options',
			[
				'label' => esc_html__( 'Image', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::HEADING,
				'condition' => [
					'ab_accordion_inner_image_show' => 'yes',
				],
			]
		);
		$repeater->add_responsive_control(
			'ab_accordion_inner_image_width',
			[
				'label' => esc_html__( 'Image Width', 'bwd-accordion' ),
				'type' => Controls_Manager::SLIDER,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-img-wrap' => 'flex-basis: {{SIZE}}%;',
				],
				'condition' => [
					'ab_accordion_inner_image_show' => 'yes',
				],
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'ab_accordion_inner_image_border',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-img-wrap',
				'condition' => [
					'ab_accordion_inner_image_show' => 'yes',
				],
			]
		);
		$repeater->add_responsive_control(
            'ab_accordion_inner_image_border-radius',
            [
                'label' => esc_html__('Border Radius', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-img-wrap' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
				'condition' => [
					'ab_accordion_inner_image_show' => 'yes',
				],
            ]
        );
		$repeater->add_group_control(
			\Elementor\Group_Control_Box_Shadow::get_type(),
			[
				'name' => 'ab_accordion_inner_image_box_shadow',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-img-wrap',
				'condition' => [
					'ab_accordion_inner_image_show' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_inner_title_heading',
			[
				'label' => esc_html__( 'Title', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
				'condition' => [
					'ab_accordion_inner_title_show' => 'yes',
				],
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'ab_accordion_inner_title_typography',
				'selector' =>'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-title',
				'condition' => [
					'ab_accordion_inner_title_show' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_inner_title_color',
			[
				'label' => esc_html__( 'Color', 'bwd-accordion' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-title' => 'color: {{VALUE}}',
				],
				'condition' => [
					'ab_accordion_inner_title_show' => 'yes',
				],
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Text_Shadow::get_type(),
			[
				'name' => 'ab_accordion_inner_title_text_shadow',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-title',
				'condition' => [
					'ab_accordion_inner_title_show' => 'yes',
				],
			]
		);
		$repeater->add_responsive_control(
			'ab_accordion_title_align',
			[
				'label' => esc_html__( 'Alignment', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::CHOOSE,
				'options' => [
					'start' => [
						'title' => esc_html__( 'Left', 'bwd-accordion' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => esc_html__( 'Center', 'bwd-accordion' ),
						'icon' => 'eicon-text-align-center',
					],
					'end' => [
						'title' => esc_html__( 'Right', 'bwd-accordion' ),
						'icon' => 'eicon-text-align-right',
					],
				],
				'toggle' => true,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-title' => 'text-align: {{VALUE}};',
				],
				'condition' => [
					'ab_accordion_inner_title_show' => 'yes',
				],
			]
		);
		$repeater->add_responsive_control(
            'ab_accordion_inner_title_margin',
            [
                'label' => esc_html__('Margin', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-title' => 'margin-block: {{TOP}}{{UNIT}} {{BOTTOM}}{{UNIT}}; margin-inline: {{LEFT}}{{UNIT}} {{RIGHT}}{{UNIT}};',
                ],
				'condition' => [
					'ab_accordion_inner_title_show' => 'yes',
				],
            ]
        );
		$repeater->add_control(
			'ab_accordion_inner_desc_heading',
			[
				'label' => esc_html__( 'Description', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
				'condition' => [
					'ab_accordion_inner_desc_show' => 'yes',
				],
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'ab_accordion_description_typography',
				'selector' =>'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-desc',
				'condition' => [
					'ab_accordion_inner_desc_show' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_description_color',
			[
				'label' => esc_html__( 'Color', 'bwd-accordion' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-desc' => 'color: {{VALUE}}',
				],
				'condition' => [
					'ab_accordion_inner_desc_show' => 'yes',
				],
			]
		);
		$repeater->add_responsive_control(
            'ab_accordion_description_indentation',
            [
                'label' => esc_html__( 'List Indent', 'bwd-accordion' ),
				'description' => esc_html__( "It's only applicable for richtext editor list", 'bwd-accordion' ),
                'type' => Controls_Manager::DIMENSIONS,
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 500,
						'step' => 1,
					],
				],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-inner-desc ul' => 'margin-block: {{TOP}}{{UNIT}} {{BOTTOM}}{{UNIT}}; margin-inline: {{LEFT}}{{UNIT}} {{RIGHT}}{{UNIT}};',
                ],
            ]
        );
		$repeater->add_responsive_control(
			'ab_accordion_description_text_indentation',
			[
				'label' => esc_html__( 'Text Indent From Bullet', 'bwd-accordion' ),
				'description' => esc_html__( "It's only applicable for richtext editor list", 'bwd-accordion' ),
				'type' => Controls_Manager::SLIDER,
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 500,
						'step' => 1,
					],
				],
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-inner-desc ul li' => 'padding-inline-start: {{SIZE}}{{UNIT}}!important;',
				],
			]
		);
		$repeater->add_responsive_control(
			'ab_accordion_desc_align',
			[
				'label' => esc_html__( 'Alignment', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::CHOOSE,
				'options' => [
					'start' => [
						'title' => esc_html__( 'Left', 'bwd-accordion' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => esc_html__( 'Center', 'bwd-accordion' ),
						'icon' => 'eicon-text-align-center',
					],
					'end' => [
						'title' => esc_html__( 'Right', 'bwd-accordion' ),
						'icon' => 'eicon-text-align-right',
					],
				],
				'toggle' => true,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-inner-desc p' => 'text-align: {{VALUE}};',
				],
				'condition' => [
					'ab_accordion_inner_desc_show' => 'yes',
				],
			]
		);
		$repeater->add_responsive_control(
            'ab_accordion_desc_margin',
            [
                'label' => esc_html__('Margin', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-desc' => 'margin-block: {{TOP}}{{UNIT}} {{BOTTOM}}{{UNIT}}; margin-inline: {{LEFT}}{{UNIT}} {{RIGHT}}{{UNIT}};',
                ],
				'condition' => [
					'ab_accordion_inner_desc_show' => 'yes',
				],
            ]
        );
		$repeater->add_control(
			'ab_accordion_inner_btn_heading',
			[
				'label' => esc_html__( 'Button', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
				'condition' => [
					'ab_accordion_inner_btn_show' => 'yes',
				],
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'ab_accordion_btn_typography',
				'selector' =>'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-btn',
				'condition' => [
					'ab_accordion_inner_btn_show' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_btn_color',
			[
				'label' => esc_html__( 'Color', 'bwd-accordion' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-btn' => 'color: {{VALUE}}',
				],
				'condition' => [
					'ab_accordion_inner_btn_show' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_btn_bg_color',
			[
				'label' => esc_html__( 'Background Color', 'bwd-accordion' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-btn' => 'background-color: {{VALUE}}',
				],
				'condition' => [
					'ab_accordion_inner_btn_show' => 'yes',
				],
			]
		);
		$repeater->add_responsive_control(
			'ab_accordion_btn_align',
			[
				'label' => esc_html__( 'Alignment', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::CHOOSE,
				'options' => [
					'start' => [
						'title' => esc_html__( 'Left', 'bwd-accordion' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => esc_html__( 'Center', 'bwd-accordion' ),
						'icon' => 'eicon-text-align-center',
					],
					'end' => [
						'title' => esc_html__( 'Right', 'bwd-accordion' ),
						'icon' => 'eicon-text-align-right',
					],
				],
				'toggle' => true,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-btn-wrap' => 'text-align: {{VALUE}};',
				],
				'condition' => [
					'ab_accordion_inner_btn_show' => 'yes',
				],
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'ab_accordion_btn_border',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-btn',
				'condition' => [
					'ab_accordion_inner_btn_show' => 'yes',
				],
			]
		);
		$repeater->add_responsive_control(
            'ab_accordion_btn_border-radius',
            [
                'label' => esc_html__('Border Radius', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-btn' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
				'condition' => [
					'ab_accordion_inner_btn_show' => 'yes',
				],
            ]
        );
		$repeater->add_responsive_control(
            'ab_accordion_btn_padding',
            [
                'label' => esc_html__('Padding', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-btn' => 'padding-block: {{TOP}}{{UNIT}} {{BOTTOM}}{{UNIT}}; padding-inline: {{LEFT}}{{UNIT}} {{RIGHT}}{{UNIT}};',
                ],
				'condition' => [
					'ab_accordion_inner_btn_show' => 'yes',
				],
            ]
        );
		$repeater->add_responsive_control(
            'ab_accordion_btn_margin',
            [
                'label' => esc_html__('Margin', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body .ab-inner-btn' => 'margin-block: {{TOP}}{{UNIT}} {{BOTTOM}}{{UNIT}}; margin-inline: {{LEFT}}{{UNIT}} {{RIGHT}}{{UNIT}};',
                ],
				'condition' => [
					'ab_accordion_inner_btn_show' => 'yes',
				],
            ]
        );
		$repeater->add_control(
			'ab_accordion_collapsed_box_heading',
			[
				'label' => esc_html__( 'Collapsed Box', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Background::get_type(),
			[
				'name' => 'ab_accordion_collapsed_background',
				'types' => [ 'classic', 'gradient' ],
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body',
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'ab_accordion_collapsed_border',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body',
			]
		);
		$repeater->add_responsive_control(
            'ab_accordion_collapsed_border-radius',
            [
                'label' => esc_html__('Border Radius', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );
		$repeater->add_responsive_control(
            'ab_accordion_collapsed_padding',
            [
                'label' => esc_html__('Padding', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body' => 'padding-block: {{TOP}}{{UNIT}} {{BOTTOM}}{{UNIT}}; padding-inline: {{LEFT}}{{UNIT}} {{RIGHT}}{{UNIT}};',
                ],
            ]
        );
		$repeater->add_responsive_control(
            'ab_accordion_collapsed_margin',
            [
                'label' => esc_html__('Margin', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}} .ab-panel-body' => 'margin-block: {{TOP}}{{UNIT}} {{BOTTOM}}{{UNIT}}; margin-inline: {{LEFT}}{{UNIT}} {{RIGHT}}{{UNIT}};',
                ],
            ]
        );
		$repeater->end_controls_tab();
		$repeater->end_controls_tabs();
		$repeater->add_control(
			'ab_accordion_divider_b',
			[
				'type' => Controls_Manager::DIVIDER,
			]
		);
		
		$repeater->add_control(
			'ab_accordion_collapsed_icon',
			[
				'label' => esc_html__( 'Collapsed Icon', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::ICONS,
				'default' => [
					'value' => 'fas fa-arrow-down',
					'library' => 'solid',
				],
			]
		);
		
		$repeater->add_control(
			'ab_accordion_expand_icon',
			[
				'label' => esc_html__( 'Expand Icon', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::ICONS,
				'default' => [
					'value' => 'fas fa-arrow-up',
					'library' => 'solid',
				],
			]
		);
		$repeater->start_controls_tabs(
			'ab_accordion_box_expand_icon_style_tabs'
		);

		$repeater->start_controls_tab(
			'ab_accordion_box_collapsed_icon_style_tab',
			[
				'label' => esc_html__( 'Collapsed', 'bwd-accordion' ),
			]
		);
		$repeater->add_control(
			'ab_accordion_box_collapsed_icon_color',
			[
				'label' => esc_html__( 'Icon Color', 'bwd-accordion' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-collapsed-icon' => 'color: {{VALUE}}',
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-collapsed-icon svg' => 'fill: {{VALUE}}',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_box_collapsed_icon_bg_color',
			[
				'label' => esc_html__( 'Icon Bg Color', 'bwd-accordion' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-collapsed-icon' => 'background-color: {{VALUE}}',
				],
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'ab_accordion_box_collapsed_icon_border',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-collapsed-icon',
			]
		);
		$repeater->add_responsive_control(
			'ab_accordion_box_collapsed_icon_border_radius',
			[
				'label' => esc_html__( 'Border Radius', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em', 'custom' ],
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-collapsed-icon' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
		$repeater->add_responsive_control(
			'ab_accordion_box_collapsed_icon_box_size',
			[
				'label' => esc_html__( 'Icon Box Size', 'bwd-accordion' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => ['px', 'rem', 'em'],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-collapsed-icon' => 'inline-size: {{SIZE}}{{UNIT}}; block-size: {{SIZE}}{{UNIT}};',
				],
			]
		);
		$repeater->end_controls_tab();
		$repeater->start_controls_tab(
			'ab_accordion_box_expand_icon_tab',
			[
				'label' => esc_html__( 'Expand', 'bwd-accordion' ),
			]
		);
		$repeater->add_control(
			'ab_accordion_box_expand_icon_color',
			[
				'label' => esc_html__( 'Icon Color', 'bwd-accordion' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-expand-icon' => 'color: {{VALUE}}',
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-expand-icon svg' => 'fill: {{VALUE}}',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_box_expand_icon_bg_color',
			[
				'label' => esc_html__( 'Icon Bg Color', 'bwd-accordion' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-expand-icon' => 'background-color: {{VALUE}}',
				],
			]
		);
		$repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'ab_accordion_box_expand_icon_border',
				'selector' => '{{WRAPPER}} {{CURRENT_ITEM}} .ab-expand-icon',
			]
		);
		$repeater->add_responsive_control(
			'ab_accordion_box_expand_icon_border_radius',
			[
				'label' => esc_html__( 'Border Radius', 'bwd-accordion' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em', 'custom' ],
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-expand-icon' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
		$repeater->add_responsive_control(
			'ab_accordion_box_expand_icon_box_size',
			[
				'label' => esc_html__( 'Icon Box Size', 'bwd-accordion' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => ['px', 'rem', 'em'],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-expand-icon' => 'inline-size: {{SIZE}}{{UNIT}}; block-size: {{SIZE}}{{UNIT}};',
				],
			]
		);
		$repeater->end_controls_tab();
		$repeater->end_controls_tabs();
		$repeater->add_responsive_control(
			'ab_accordion_box_icon_size',
			[
				'label' => esc_html__( 'Icon Size', 'bwd-accordion' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => ['px', 'rem', 'em', '%'],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}} .ab-collapsed-icon, {{WRAPPER}} {{CURRENT_ITEM}} .ab-expand-icon' => 'font-size: {{SIZE}}{{UNIT}};',
					' {{WRAPPER}} {{CURRENT_ITEM}} .ab-collapsed-icon svg, {{WRAPPER}} {{CURRENT_ITEM}} .ab-expand-icon svg' => 'inline-size: {{SIZE}}{{UNIT}}',
				],
			]
		);
		$repeater->add_control(
			'ab_accordion_divider_s_k',
			[
				'type' => Controls_Manager::DIVIDER,
			]
		);

		$repeater->add_responsive_control(
			'ab_accordion_box_item_gap',
			[
				'label' => esc_html__( 'Item Gap', 'bwd-accordion' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => ['px', 'rem', 'em', '%'],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} {{CURRENT_ITEM}}' => 'margin-block-end: {{SIZE}}{{UNIT}};',
				],
			]
		);
		$repeater->add_responsive_control(
            'ab_accordion_total_box_padding',
            [
                'label' => esc_html__('Item Box Padding', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em', '%'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}}' => 'padding-block: {{TOP}}{{UNIT}} {{BOTTOM}}{{UNIT}}; padding-inline: {{LEFT}}{{UNIT}} {{RIGHT}}{{UNIT}};',
                ],
            ]
        );
		$repeater->add_responsive_control(
            'ab_accordion_total_box_margin',
            [
                'label' => esc_html__('Item Box Margin', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'rem', 'em', '%'],
                'selectors' => [
                    '{{WRAPPER}} {{CURRENT_ITEM}}' => 'margin-block: {{TOP}}{{UNIT}} {{BOTTOM}}{{UNIT}}; margin-inline: {{LEFT}}{{UNIT}} {{RIGHT}}{{UNIT}};',
                ],
            ]
        );

		$this->add_control(
			'ab_total_accordion_box',
			[
				'label' => esc_html__( 'Accordion', 'bwd-accordion' ),
				'type' => Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'ab_total_box_title' => esc_html__( 'Accordion #1', 'bwd-accordion' ),
					],
					[
						'ab_total_box_title' => esc_html__( 'Accordion #2', 'bwd-accordion' ),
					],
					[
						'ab_total_box_title' => esc_html__( 'Accordion #3', 'bwd-accordion' ),
					],
					[
						'ab_total_box_title' => esc_html__( 'Accordion #4', 'bwd-accordion' ),
					],
				],
				'title_field' => `{{{ ab_total_box_title }}}`,
			]
		);
		$this->end_controls_section();

		$this->start_controls_section(
			'ab_accordion_builder_style_section',
			[
				'label' => esc_html__( 'Accordion Style', 'bwd-accordion' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);
		$this->add_group_control(
			\Elementor\Group_Control_Background::get_type(),
			[
				'name' => 'ab_accordion_builder_section_background',
				'label' => esc_html__( 'Background', 'bwd-accordion' ),
				'types' => [ 'classic', 'gradient', 'video' ],
				'selector' => '{{WRAPPER}} .ab-accordion-all',
			]
		);
		$this->add_responsive_control(
            'cbtns_buttons_padding',
            [
                'label' => esc_html__('Padding', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
                'size_units' => ['px', 'rem', 'em', '%'],
                'selectors' => [
                    '{{WRAPPER}} .ab-accordion-all' => 'padding-block: {{TOP}}{{UNIT}} {{BOTTOM}}{{UNIT}}; padding-inline: {{LEFT}}{{UNIT}} {{RIGHT}}{{UNIT}};',
                ],
            ]
        );
		$this->add_responsive_control(
            'cbtns_buttons_margin',
            [
                'label' => esc_html__('Margin', 'bwd-accordion'),
                'type' => Controls_Manager::DIMENSIONS,
                'size_units' => ['px', 'rem', 'em', '%'],
                'selectors' => [
                    '{{WRAPPER}} .ab-accordion-all' => 'margin-block: {{TOP}}{{UNIT}} {{BOTTOM}}{{UNIT}}; margin-inline: {{LEFT}}{{UNIT}} {{RIGHT}}{{UNIT}};',
                ],
            ]
        );
		$this->end_controls_section();

	}
	protected function render() {
		$settings = $this->get_settings_for_display();
		$styles = $settings['ab_accordion_style_selection'];
		 
		// Social Link
		if ( ! empty( $settings['ab_accordion_inner_btn_link']['url'] ) ) {
			$this->add_link_attributes( 'ab_accordion_inner_btn_link', $settings['ab_accordion_inner_btn_link'] );
		}
		?>
		<div class="ab-accordion-all">
			<?php
			if ( $styles ){ ?>
				<div class="ab-Accordion-<?php echo $styles ?> ab-accordion-common">
				<?php
				if ( $settings['ab_total_accordion_box'] ) {
					foreach (  $settings['ab_total_accordion_box'] as $item ) {
						echo '<div class="ab-Accordion-default elementor-repeater-item-' . esc_attr( $item['_id'] ) . '">' ?>
						<div class="ab-Accordion-heading" >
							<h4 class="ab-panel-title">
								<?php
								$allowStyle = array('8', '11', '12', '17', '26');
								if( !in_array($styles, $allowStyle) ){
									include 'common/ab-collapsed.php';
									include 'common/ab-collapsed-icon.php';
									include 'common/ab-expand-icon.php'; }
								if( in_array($styles, $allowStyle) ){
									include 'common/ab-collapsed-icon.php';
									include 'common/ab-expand-icon.php';
									include 'common/ab-collapsed.php';
								}?>
							</h4>
						</div>
						<div id="collapseOne" class="ab-panel-collapse in">
							<div class="ab-panel-body">
								<div class="ab-panel-content-wrapper">
									<?php if($item['ab_accordion_inner_image_show'] === 'yes') { ?>
									<div class="ab-img-wrap">
										<img src="<?php echo esc_attr($item['ab_accordion_inner_image']['url']); ?>" alt="">
									</div>
									<?php } ?>
									<div class="ab-content-wrap">
										<?php if($item['ab_accordion_inner_title_show'] === 'yes') { ?>
											<h2 class="ab-inner-title"><?php echo esc_html( $item['ab_accordion_inner_title']); ?></h2>
										<?php } ?>
										<?php if($item['ab_accordion_inner_desc_show'] === 'yes') { ?>
											<div class="ab-inner-desc"><?php echo $item['ab_accordion_description']; ?></div>
										<?php } ?>
										<?php if($item['ab_accordion_inner_btn_show'] === 'yes') { ?>
											<div class="ab-inner-btn-wrap">
												<a href="<?php echo esc_url( $item['ab_accordion_inner_btn_link']['url']); ?>" class="ab-inner-btn"><?php echo $item['ab_accordion_inner_btn_text']; ?></a>
											</div>
										<?php } ?>
									</div>
								</div>
							</div>
						</div>
					</div>
					<?php
						}
					} ?>
				</div>
				<?php
			}
			?>
		</div>
		<?php
	}
	
	
}
